=head1 NAME

Net::DNS::FAQ - Frequently Asked Net::DNS Questions

=head1 SYNOPSIS

 perldoc Net::DNS::FAQ

=head1 DESCRIPTION

This document serves to answer the most frequently asked questions on both the
Net::DNS Mailing List and those sent to the author.

The latest version of this FAQ can be found at 
	http://www.net-dns.org/docs/FAQ.html

=head1 GENERAL

=head2 What is Net::DNS?

Net::DNS is a perl implementation of a DNS resolver.  

=head1 INSTALLATION

=head2 Where can I find Test::More?

Test::More is part of the Test-Simple packge, by Michael G Schwern.
You should be able to find the distrubution here:

	http://search.cpan.org/dist/Test-Simple/

=head1 USAGE

=head2 Why does Net::DNS::Resolver::query() return undef when the ANSWER section is empty?

The short answer is, don't use query().  Net::DNS::Resolver::send() 
will always return the answer packet, as long as an answer was received.

The longer answer is that query() is modeled after the res_query() function
from the libresolv C library, which has similar behaviors.

=head1 VERSION

 $Id: FAQ.pod 264 2005-04-06 09:16:15Z olaf $
 
